Eclipse Platform Release 3.7

## org.eclipse.jface.text
Class AbstractLineTracker.Request

    java.lang.Object
      org.eclipse.jface.text.AbstractLineTracker.Request

Enclosing class:
  AbstractLineTracker

    protected static class AbstractLineTracker.Request

extends Object

Representation of replace and set requests.

Since:
  3.1

Field Summary
`int` `length`
`int` `offset`
`String` `text`

Constructor Summary
`AbstractLineTracker.Request(int offset, int length, String text)`
`AbstractLineTracker.Request(String text)`

Method Summary
`boolean` `isReplaceRequest()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offset

    public final int offset

### length

    public final int length

### text

    public final String text

Constructor Detail

### AbstractLineTracker.Request

    public AbstractLineTracker.Request(int offset,
                                       int length,
                                       String text)

### AbstractLineTracker.Request

    public AbstractLineTracker.Request(String text)

Method Detail

### isReplaceRequest

    public boolean isReplaceRequest()

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.